class PageContentsController < OrbitAdminController
  def index
    params = OrbitHelper.params
    if params["wiki"].present?
      page = WikiPage.where(:uid => params["wiki"]).first
      name = page.title rescue ""
      html = page.content rescue ""
      url_to_edit = OrbitHelper.user_can_edit?(page) ? "/admin/wiki_pages/#{page.id}/edit?page_id=#{page.page.id.to_s}" : ""
    else
      page = Page.where(:page_id => params[:page_id]).first
      name = page.name rescue ""
      html = page.page_contexts.last.content rescue ""
      url_to_edit = OrbitHelper.user_can_edit?(page) ? "/admin/page_contents/new?page_id=#{page.id.to_s}" : ""
    end

    {
      "html" => html,
      "title" => name,
      "view_count" => (page.view_count rescue ""),
      "view-count-head" =>t('page_content.view_count'),
      "url_to_edit" => url_to_edit
    }
  end
end